#pragma once
#include "stdafx.h"

struct TRecordData
{
	// отказы
	CArray<aplExtent*, aplExtent*> caItems;
};

class CPdfAndStagesReportData
{
public:
	CPdfAndStagesReportData(CaplAPI *api, CaplPreExploitationMgr *mgr);
	~CPdfAndStagesReportData(void);

	// отображаемые года
	CString m_CurrYear;
	CString m_PrevYear;

	int Add(CaplInstance *ciPrd, CaplInstance *ciRefusal);
	bool FillReportWithData(CDataSource *pDataSource);
	
protected:

	// этапы
	aplExtent m_aeStages;

	// CaplInstance* - TReportData*
	CaplMap m_mainMap;

	// АПИ
	CaplAPI *m_api;
	CaplPreExploitationMgr *m_mgr;

	// добавить отказ
	int AddNew(CaplInstance *ciPrd, CaplInstance *ciRefusal, int nIndex);

	// кол-во отказов у изделия
	int GetCount(int nIndex, CaplInstance *ciStage, CString sYear);

	// Общее число отказо
	int GetTotalSize();
};
